Package: groovy.util

## [Java] Class ClosureComparator<T>

- groovy.util.ClosureComparator

- All Implemented Interfaces and Traits:
    Comparator

      public class ClosureComparator
      extends Object

  A Comparator which uses a closure to compare 2 values being equal

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureComparator (Closure closure)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compare(T object1, T object2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClosureComparator(Closure closure)

  - ### Method Detail

    - #### public int compare(T object1, T object2)